<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>lib.setup.DDRS</name>
<version>2</version>
<engineversion>32</engineversion>
<description>Set some stations selling DDRS upgrades - based on Xai Software</description>
<arguments>
<argument index="1" name="Product" type="Var/Ware" desc="Product to sell" />
<argument index="2" name="script.name" type="Value" desc="Name-Version array" />
<argument index="3" name="race1" type="Var/Race" desc="Race 1" />
<argument index="4" name="race2" type="Var/Race" desc="Race 2" />
<argument index="5" name="Factory1" type="Var/Station Type" desc="FactoryType1" />
<argument index="6" name="Factory2" type="Var/Station Type" desc="FactoryType2" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Originaly&#160;Created&#160;by&#160;Xai&#160;Corporation&#160;-&#160;Modified&#160;by&#160;Deadly</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var>if&#160;product&#160;is&#160;set,&#160;it&#160;is&#160;put&#160;on&#160;sale&#160;at&#160;EQ&#160;docks&#160;of&#160;race1&#160;and&#160;race2</var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>if&#160;factory1&#160;or&#160;factory2&#160;is&#160;set,&#160;add&#160;the&#160;product&#160;to&#160;fabs&#160;for&#160;&#160;race1&#160;and&#160;race2</var></comment></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="006" indent=""><comment><text>*&#160;</text><var>textpage</var></comment></line>
<line linenr="007" indent=""><var>$textpage&#160;=&#160;</var><var>1365</var></line>
<line linenr="008" indent=""></line>
<line linenr="009" indent=""><comment><text>*&#160;</text><var>Check&#160;we&#160;have&#160;a&#160;ware&#160;to&#160;set&#160;for&#160;sale</var></comment></line>
<line linenr="010" indent=""><var>if&#160;</var><var>$Product</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>null</var></line>
<line linenr="011" indent="&#160;"></line>
<line linenr="012" indent=""><comment><text>*&#160;</text><var>get&#160;reference&#160;sector</var></comment></line>
<line linenr="013" indent="&#160;"><var>if&#160;</var><var>[PLAYERSHIP]</var></line>
<line linenr="014" indent="&#160;&#160;"><var>$ref.sector&#160;=&#160;</var><var>[PLAYERSHIP]&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="015" indent="&#160;"><text>else</text></line>
<line linenr="016" indent="&#160;&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="017" indent="&#160;"><text>end</text></line>
<line linenr="018" indent="&#160;"></line>
<line linenr="019" indent=""><comment><text>*&#160;</text><var>Install&#160;in&#160;race1&#160;Equipment&#160;docks</var></comment></line>
<line linenr="020" indent="&#160;"><var>if&#160;</var><var>$race1</var></line>
<line linenr="021" indent="&#160;&#160;"><var>$i&#160;=&#160;</var><var>0</var></line>
<line linenr="022" indent="&#160;&#160;"><var>while&#160;</var><var>$i</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>4</var></line>
<line linenr="023" indent="&#160;&#160;&#160;"><var>$dock&#160;=&#160;</var><text>&#160;find&#160;station&#160;in&#160;galaxy:&#160;startsector=</text><var>$ref.sector</var><text>&#160;class&#160;or&#160;type=</text><var>Equipment&#160;Dock</var><text>&#160;race=</text><var>$race1</var><text>&#160;flags=</text><var>[Find.Random]</var><text>&#160;refobj=</text><var>null</var><text>&#160;serial=</text><var>null</var><text>&#160;max.jumps=</text><var>null</var></line>
<line linenr="024" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$dock&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="025" indent="&#160;&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>$dock&#160;-&gt;</var><text>&#160;trades&#160;with&#160;ware&#160;</text><var>$Product</var></line>
<line linenr="026" indent="&#160;&#160;&#160;&#160;&#160;"><var>$dock&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Product</var></line>
<line linenr="027" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>$dock&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Product</var></line>
<line linenr="028" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="029" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="030" indent="&#160;&#160;&#160;"><text>inc&#160;</text><var>$i&#160;=&#160;</var></line>
<line linenr="031" indent="&#160;&#160;"><text>end</text></line>
<line linenr="032" indent="&#160;"><text>end</text></line>
<line linenr="033" indent="&#160;"></line>
<line linenr="034" indent=""><comment><text>*&#160;</text><var>Install&#160;in&#160;race2&#160;Equipment&#160;docks</var></comment></line>
<line linenr="035" indent="&#160;"><var>if&#160;</var><var>$race2</var></line>
<line linenr="036" indent="&#160;&#160;"><var>$i&#160;=&#160;</var><var>0</var></line>
<line linenr="037" indent="&#160;&#160;"><var>while&#160;</var><var>$i</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>4</var></line>
<line linenr="038" indent="&#160;&#160;&#160;"><var>$dock&#160;=&#160;</var><text>&#160;find&#160;station&#160;in&#160;galaxy:&#160;startsector=</text><var>$ref.sector</var><text>&#160;class&#160;or&#160;type=</text><var>Equipment&#160;Dock</var><text>&#160;race=</text><var>$race2</var><text>&#160;flags=</text><var>[Find.Random]</var><text>&#160;refobj=</text><var>null</var><text>&#160;serial=</text><var>null</var><text>&#160;max.jumps=</text><var>null</var></line>
<line linenr="039" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$dock&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="040" indent="&#160;&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>$dock&#160;-&gt;</var><text>&#160;trades&#160;with&#160;ware&#160;</text><var>$Product</var></line>
<line linenr="041" indent="&#160;&#160;&#160;&#160;&#160;"><var>$dock&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Product</var></line>
<line linenr="042" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>$dock&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Product</var></line>
<line linenr="043" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="044" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="045" indent="&#160;&#160;&#160;"><text>inc&#160;</text><var>$i&#160;=&#160;</var></line>
<line linenr="046" indent="&#160;&#160;"><text>end</text></line>
<line linenr="047" indent="&#160;"><text>end</text></line>
<line linenr="048" indent="&#160;"></line>
<line linenr="049" indent="&#160;"></line>
<line linenr="050" indent=""><comment><text>*&#160;</text><var>Install&#160;as&#160;product&#160;in&#160;Factory&#160;1</var></comment></line>
<line linenr="051" indent="&#160;"><var>if&#160;</var><var>$Factory1</var></line>
<line linenr="052" indent="&#160;&#160;"><var>$i&#160;=&#160;</var><var>0</var></line>
<line linenr="053" indent="&#160;&#160;"><var>while&#160;</var><var>$i</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>4</var></line>
<line linenr="054" indent="&#160;&#160;&#160;"><var>$dock&#160;=&#160;</var><text>&#160;find&#160;station&#160;in&#160;galaxy:&#160;startsector=</text><var>$ref.sector</var><text>&#160;class&#160;or&#160;type=</text><var>$Factory1</var><text>&#160;race=</text><var>null</var><text>&#160;flags=</text><var>[Find.Random]</var><text>&#160;refobj=</text><var>null</var><text>&#160;serial=</text><var>null</var><text>&#160;max.jumps=</text><var>null</var></line>
<line linenr="055" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$dock&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="056" indent="&#160;&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>$dock&#160;-&gt;</var><text>&#160;trades&#160;with&#160;ware&#160;</text><var>$Product</var></line>
<line linenr="057" indent="&#160;&#160;&#160;&#160;&#160;"><var>$dock&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Product</var></line>
<line linenr="058" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>$dock&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Product</var></line>
<line linenr="059" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="060" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="061" indent="&#160;&#160;&#160;"><text>inc&#160;</text><var>$i&#160;=&#160;</var></line>
<line linenr="062" indent="&#160;&#160;"><text>end</text></line>
<line linenr="063" indent="&#160;"><text>end</text></line>
<line linenr="064" indent="&#160;"></line>
<line linenr="065" indent=""><comment><text>*&#160;</text><var>Install&#160;as&#160;product&#160;in&#160;Factory&#160;2</var></comment></line>
<line linenr="066" indent="&#160;"><var>if&#160;</var><var>$Factory2</var></line>
<line linenr="067" indent="&#160;&#160;"><var>$i&#160;=&#160;</var><var>0</var></line>
<line linenr="068" indent="&#160;&#160;"><var>while&#160;</var><var>$i</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>4</var></line>
<line linenr="069" indent="&#160;&#160;&#160;"><var>$dock&#160;=&#160;</var><text>&#160;find&#160;station&#160;in&#160;galaxy:&#160;startsector=</text><var>$ref.sector</var><text>&#160;class&#160;or&#160;type=</text><var>$Factory2</var><text>&#160;race=</text><var>null</var><text>&#160;flags=</text><var>[Find.Random]</var><text>&#160;refobj=</text><var>null</var><text>&#160;serial=</text><var>null</var><text>&#160;max.jumps=</text><var>null</var></line>
<line linenr="070" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$dock&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="071" indent="&#160;&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>$dock&#160;-&gt;</var><text>&#160;trades&#160;with&#160;ware&#160;</text><var>$Product</var></line>
<line linenr="072" indent="&#160;&#160;&#160;&#160;&#160;"><var>$dock&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Product</var></line>
<line linenr="073" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>$dock&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Product</var></line>
<line linenr="074" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="075" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="076" indent="&#160;&#160;&#160;"><text>inc&#160;</text><var>$i&#160;=&#160;</var></line>
<line linenr="077" indent="&#160;&#160;"><text>end</text></line>
<line linenr="078" indent="&#160;"><text>end</text></line>
<line linenr="079" indent="&#160;"></line>
<line linenr="080" indent=""><text>end</text></line>
<line linenr="081" indent=""></line>
<line linenr="082" indent=""></line>
<line linenr="083" indent=""><comment><text>*&#160;</text><var>Register&#160;product</var></comment></line>
<line linenr="084" indent=""><var>if&#160;</var><var>$script.name</var></line>
<line linenr="085" indent="&#160;"><var>$name&#160;=&#160;</var><var>$script.name</var><text>[</text><var>0</var><text>]</text></line>
<line linenr="086" indent="&#160;"><var>$version&#160;=&#160;</var><var>$script.name</var><text>[</text><var>1</var><text>]</text></line>
<line linenr="087" indent="&#160;"><var>if&#160;</var><text>get&#160;global&#160;variable:&#160;name=</text><var>$name</var></line>
<line linenr="088" indent="&#160;&#160;"><var>$version.old&#160;=&#160;</var><text>get&#160;global&#160;variable:&#160;name=</text><var>$name</var></line>
<line linenr="089" indent="&#160;&#160;"><var>if&#160;</var><var>$version.old</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>$version</var></line>
<line linenr="090" indent="&#160;&#160;&#160;"><text>set&#160;global&#160;variable:&#160;name=</text><var>$name</var><text>&#160;value=</text><var>$version</var></line>
<line linenr="091" indent="&#160;&#160;&#160;"><text>write&#160;to&#160;player&#160;logbook:&#160;printf:&#160;pageid=</text><var>$textpage</var><text>&#160;textid=</text><var>99993</var><text>,&#160;</text><var>$name</var><text>,&#160;</text><var>$version</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="092" indent="&#160;&#160;&#160;"><text>play&#160;sample:&#160;incoming&#160;transmission&#160;</text><var>[IncomingTransmission.Greeting]</var><text>,&#160;from&#160;object&#160;</text><var>[PLAYERSHIP]</var></line>
<line linenr="093" indent="&#160;&#160;"><text>end</text></line>
<line linenr="094" indent="&#160;&#160;"></line>
<line linenr="095" indent="&#160;"><text>else</text></line>
<line linenr="096" indent="&#160;&#160;"><text>set&#160;global&#160;variable:&#160;name=</text><var>$name</var><text>&#160;value=</text><var>$version</var></line>
<line linenr="097" indent="&#160;&#160;"><text>write&#160;to&#160;player&#160;logbook:&#160;printf:&#160;pageid=</text><var>$textpage</var><text>&#160;textid=</text><var>99992</var><text>,&#160;</text><var>$name</var><text>,&#160;</text><var>$version</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="098" indent="&#160;&#160;"><text>play&#160;sample:&#160;incoming&#160;transmission&#160;</text><var>[IncomingTransmission.Greeting]</var><text>,&#160;from&#160;object&#160;</text><var>[PLAYERSHIP]</var></line>
<line linenr="099" indent="&#160;&#160;"></line>
<line linenr="100" indent="&#160;"><text>end</text></line>
<line linenr="101" indent=""><text>end</text></line>
<line linenr="102" indent=""></line>
<line linenr="103" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="lib.setup.DDRS" /><sval type="int" val="32" /><sval type="string" val="Set some stations selling DDRS upgrades - based on Xai Software" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="13"><sval type="string" val="Product" /><sval type="string" val="script.name" /><sval type="string" val="race1" /><sval type="string" val="race2" /><sval type="string" val="Factory1" /><sval type="string" val="Factory2" /><sval type="string" val="textpage" /><sval type="string" val="ref.sector" /><sval type="string" val="i" /><sval type="string" val="dock" /><sval type="string" val="name" /><sval type="string" val="version" /><sval type="string" val="version.old" /></sval><sval type="array" size="60"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1365" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610600957" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610611453" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131075" /><sval type="int" val="3" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="6" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610608637" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608631" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="16"><sval type="int" val="709" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="12" /><sval type="int" val="2075" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="105" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="-1610609149" /></sval><sval type="array" size="6"><sval type="int" val="637" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="-536867324" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="8" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610606077" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610606071" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="16"><sval type="int" val="709" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="12" /><sval type="int" val="2075" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="105" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="-1610606589" /></sval><sval type="array" size="6"><sval type="int" val="637" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="-536864764" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="18" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610603517" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610603511" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="16"><sval type="int" val="709" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="105" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="-1610604029" /></sval><sval type="array" size="6"><sval type="int" val="637" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="-536862204" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="28" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610600957" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610600951" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="16"><sval type="int" val="709" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="105" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="-1610601469" /></sval><sval type="array" size="6"><sval type="int" val="637" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="-536859644" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="38" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610597629" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="158" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="-1610598397" /></sval><sval type="array" size="4"><sval type="int" val="158" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="12" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610598653" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="5"><sval type="int" val="157" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="15"><sval type="int" val="403" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="99993" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="201" /><sval type="int" val="131075" /><sval type="int" val="302" /><sval type="int" val="131075" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="59" /></sval><sval type="array" size="5"><sval type="int" val="157" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="15"><sval type="int" val="403" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="99992" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="201" /><sval type="int" val="131075" /><sval type="int" val="302" /><sval type="int" val="131075" /><sval type="int" val="3" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="6"><sval type="array" size="2"><sval type="int" val="13" /><sval type="string" val="Product to sell" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Name-Version array" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="string" val="Race 1" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="string" val="Race 2" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="string" val="FactoryType1" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="string" val="FactoryType2" /></sval></sval><sval type="array" size="49"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Originaly Created by Xai Corporation - Modified by Deadly" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="if product is set, it is put on sale at EQ docks of race1 and race2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="if factory1 or factory2 is set, add the product to fabs for  race1 and race2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="textpage" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="1" /><sval type="int" val="1" /><sval type="string" val="Check we have a ware to set for sale" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="2" /><sval type="int" val="1" /><sval type="string" val="get reference sector" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="6" /><sval type="int" val="1" /><sval type="string" val="Install in race1 Equipment docks" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="16" /><sval type="int" val="1" /><sval type="string" val="Install in race2 Equipment docks" /></sval><sval type="array" size="2"><sval type="int" val="24" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="24" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="26" /><sval type="int" val="1" /><sval type="string" val="Install as product in Factory 1" /></sval><sval type="array" size="2"><sval type="int" val="34" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="34" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="36" /><sval type="int" val="1" /><sval type="string" val="Install as product in Factory 2" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="46" /><sval type="int" val="1" /><sval type="string" val="Register product" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="56" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
